Subject: Re: [stir] Genart last call review of draft-ietf-stir-passport-divert-07

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 13 Jul 2020 14:36:59 +0000

Thanks for these notes, Pete. I incorporated these fixes into the -08 (but apparently neglected to write and say so at the time).

Jon Peterson
Neustar, Inc.

    Document: draft-ietf-stir-passport-divert-07
    Reviewer: Pete Resnick
    Review Date: 2020-01-09
    IETF LC End Date: 2019-12-02
    IESG Telechat date: Not scheduled for a telechat
    
    Summary: Ready with Nits
    
    While I found the document (and particularly section 4) very technically dense,
    I think the detail will help implementers tremendously. Nothing other than a
    few editorial issues.
    
    Major issues: None
    
    Minor issues: None
    
    Nits/editorial comments:
    
    Section 3, paragraph 1:
    
                                                                   Note that
       a new PASSporT is only necessary when the canonical form of the
       "dest" identifier (per the canonicalization procedures in [RFC8224]
       Section 8) changes due to this retargeting.  If the canonical form of
       the "dest" identifiier is not changed during retargeting, then a new
       PASSporT with a "div" claim MUST NOT be produced.
    
    Seems to me that these two sentences should be in their own paragraph. It took
    me a second to figure out that the following sentence was not related to these.
    
    Section 4:
    
       ...Other using protocols of PASSporT
    
    Don't you mean "Other protocols using PASSporT"?
    
    Section 4.2, paragraph 2:
    
    I think you mean "necessarily", not "necessary"